Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create issue batch

POST/workspaces/{organizationId}/issues/batch
Path parameters
organizationIdstringrequired
Request body
application/json
idsstring[]required
min items 1 · max items 100
patchobjectrequired
Show properties
titlestring
min length 1
teamIdstring
descriptionstring
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystring
Allowed:lowmediumhighurgent
resolutionstring | null
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvednull
parentIdstring | null
subIssueSortOrdernumber | null
estimateinteger | null
min 0
isDraftboolean
templateIdstring
snoozedUntilstring | null
assigneeIdstring | null
projectIdstring
cycleIdstring
labelIdsstring[]
repostring
branchstring
Responses
200Issues updated
issuesIssue[]required
Show properties
Array of Issue
idstringrequired
organizationIdstringrequired
teamIdstringrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystringrequired
Allowed:lowmediumhighurgent
resolutionstring | nullrequired
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvednull
parentIdstring | nullrequired
subIssueSortOrdernumber | nullrequired
estimatenumber | nullrequired
isDraftbooleanrequired
snoozedUntilstring | nullrequired
assigneeIdstring | nullrequired
projectIdstring | nullrequired
cycleIdstring | nullrequired
labelIdsstring | nullrequired
numbernumber | nullrequired
identifierstring | nullrequired
repostring | nullrequired
branchstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/issues/batch" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": [
    "string"
  ],
  "patch": {
    "title": "string",
    "teamId": "string",
    "description": "string",
    "status": "triage",
    "priority": "low",
    "resolution": "duplicate",
    "parentId": "string",
    "subIssueSortOrder": 0,
    "estimate": 0,
    "isDraft": true,
    "templateId": "string",
    "snoozedUntil": "string",
    "assigneeId": "string",
    "projectId": "string",
    "cycleId": "string",
    "labelIds": [
      "string"
    ],
    "repo": "string",
    "branch": "string"
  }
}'
Response
{
  "issues": [
    {
      "id": "string",
      "organizationId": "string",
      "teamId": "string",
      "title": "string",
      "description": "string",
      "status": "triage",
      "priority": "low",
      "resolution": "duplicate",
      "parentId": "string",
      "subIssueSortOrder": 0,
      "estimate": 0,
      "isDraft": true,
      "snoozedUntil": "string",
      "assigneeId": "string",
      "projectId": "string",
      "cycleId": "string",
      "labelIds": "string",
      "number": 0,
      "identifier": "string",
      "repo": "string",
      "branch": "string",
      "prUrl": "string",
      "prState": "string",
      "prCheckState": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}